Jump to content
dnovember99

another scaling question

Recommended Posts

dnovember99

hello all,

 

i am sorry if this has already been answered, and if it has i am not able to find anything on this.

 

i work on projects that sometimes i have to have 1/4" and 1/8" scale on the same sheet. and i know that you can go into the modeling space and select the objects that you want to change from 1/4" to 1/8" or the other way around, go to properties and scale your "X, Y, Z" from either 48 to 96 or 96 to 48.

 

i wanted to see if anyone has a fast way of doing this? i heard someone say something a while back about having a command of like sc48 or sc96 and what ever they selected would change all three of the factors (x y and z)

 

anything would help out alot.

 

thank you

Share this post


Link to post
Share on other sites
ReMark

Why aren't you using layouts with viewports (scales are assigned to individual viewports not to model space objects) instead of drawing "to scale" in model space? You're making things more complicated than they need to be.

Share this post


Link to post
Share on other sites
dnovember99

we use the plot space and have view ports yes. but if you have text height at 8" and set your viewport to 1/4" scale then your text is going to be massive,

 

in the model space if you set one set of text height to 8" and another to 4" then go to model space and create two viewports you have one for 1/8" and one for 1/4".

 

here are a few screen shots for what i am talking about. i hope that this helps explain it a little better. either that or i am not understanding what your talking about. sorry i am still new to the cad thing. well using it daily that is.

scale 1.png

scale 2.jpg

Share this post


Link to post
Share on other sites
ReMark

If you insist on placing both your dimensions and text in model space then it is in your best interest to make them annotative so that all viewports, no matter their scale, display the text and dimension objects at the same size. Did you forget to assign the appropriate annotative scales to your text and dimensions?

Share this post


Link to post
Share on other sites
dnovember99

this is the way that the company that i work for wants to do things. and i am not trying to do something different and cause issues. i do see what you are saying but they have "drawing standards" that i have to follow for each scale. so just setting the viewports are either 1/4" or 1/8" doesnt work just right. i see what you are talking about (i tried it) but being that i work in corp america i have to do as told. just trying to find something that within the model space i can select one of the objects (seen in two new photos) type command and hit spacebar and bingo, instead of going to the prop. and changing from 96 to 48 or other way around. sorry if this came across rude, i am not trying to at all i am just frustrated that i am not explaining it the way i was thinking it.

scale 1.png

scale 2.jpg

Share this post


Link to post
Share on other sites
SLW210

If they have standards, why is this just now a problem? Did you ask others at the company how they recommend doing this?

 

The solution that is already in AutoCAD, is to place annotations, etc. in paper space or use annotative blocks, mtext, text, etc. in model space.

 

If those are all blocks, you might look into making them Dynamic Blocks.

Share this post


Link to post
Share on other sites
Roy_043

Maybe something like this is what the OP is thinking of:

(vl-load-com)

(defun KGA_Conv_Pickset_To_ObjectList (ss / i ret)
 (if ss
   (repeat (setq i (sslength ss))
     (setq ret (cons (vlax-ename->vla-object (ssname ss (setq i (1- i)))) ret))
   )
 )
)

(defun c:ChangeScale ( / doc enm scl ss)
 (setq doc (vla-get-activedocument (vlax-get-acad-object)))
 (vla-endundomark doc)
 (vla-startundomark doc)
 (cond
   ((= 1 (getvar 'tilemode))
     (prompt "\nError: command cannot be used in model space ")
   )
   ((= 1 (getvar 'cvport))
     (prompt "\nError: command requires an active MS viewport ")
   )
   ((setq enm (ssname (ssget "_X" (list (cons 410 (getvar 'ctab)) (cons 69 (getvar 'cvport)))) 0))
     (setq scl (/ 12.0 (vla-get-customscale (vlax-ename->vla-object enm)))) ; Change 12.0 to suit.
     (if (setq ss (ssget '((0 . "INSERT"))))
       (foreach obj (KGA_Conv_Pickset_To_ObjectList ss)
         (vla-put-xscalefactor obj scl)
         (vla-put-yscalefactor obj scl)
         (vla-put-zscalefactor obj scl)
       )
     )
   )
 )
 (vla-endundomark doc)
 (princ)
)

Share this post


Link to post
Share on other sites
dnovember99

with the company having standards this isnt something that they have had to deal with. normally we put 1/8" plans on one sheet and 1/4"on another. however i have a lot of small jobs and i just like to keep things on as little sheets as possible.

 

so i just want to be able to grab a few things and type a command in and have it rescale the text or the block (for tags) from 1/8" (96.0 inch) to 1/4" (48.0 inch) i know that if it is something that i have to do with one or two no sweat to go into the properties and change it that way.

 

but when we have the drawing set up as 1/8" scale and you want to add a 1/4" scale to show additional detail on the same sheet, just changing the viewport wont shrink up the text and tags to be able to show this area in a little more detail.

 

maybe i am over thinking this as a whole but thought that i would give this a shot. so thank you all to your thoughts and help. this site has always been a big help.

Share this post


Link to post
Share on other sites
ronjonp

As stated before. Annotative objects are the ticket :)

Share this post


Link to post
Share on other sites
dnovember99

oh i understand that totally, and this is something that we use. i will have to get with my BIM squad and see if i am doing things correctly. cause now i am questioning things after two years of doing it their way. but i know that there is always something that can be done to simplify things a bit. and thought that this was one of them.

 

thank you all

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×